Bug 1016849 - [abrt] abiword-2.8.6-22.fc19: __gnu_cxx::__verbose_terminate_handler: Process /usr/bin/abiword was killed by signal 6 (SIGABRT)
[abrt] abiword-2.8.6-22.fc19: __gnu_cxx::__verbose_terminate_handler: Process...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
abrt_hash:dadf5cad2a4cca5d9cf03709d27...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 15:57 EDT by Lester Petrie
Modified: 2013-12-02 16:00 EST (History)
1 user (show)

See Also:
Fixed In Version: libgsf-1.14.28-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:36:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.67 KB, text/plain)
2013-10-08 15:57 EDT, Lester Petrie
no flags Details
File: cgroup (143 bytes, text/plain)
2013-10-08 15:57 EDT, Lester Petrie
no flags Details
File: core_backtrace (16.85 KB, text/plain)
2013-10-08 15:57 EDT, Lester Petrie
no flags Details
File: dso_list (14.94 KB, text/plain)
2013-10-08 15:57 EDT, Lester Petrie
no flags Details
File: environ (5.81 KB, text/plain)
2013-10-08 15:57 EDT, Lester Petrie
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-08 15:57 EDT, Lester Petrie
no flags Details
File: maps (77.00 KB, text/plain)
2013-10-08 15:57 EDT, Lester Petrie
no flags Details
File: open_fds (484 bytes, text/plain)
2013-10-08 15:57 EDT, Lester Petrie
no flags Details
File: proc_pid_status (993 bytes, text/plain)
2013-10-08 15:58 EDT, Lester Petrie
no flags Details

  None (edit)
Description Lester Petrie 2013-10-08 15:57:36 EDT
Description of problem:
I tried to open a rather large docx file. Abiword flashed a window and then disappeared.  I did not try opening with abiword again.

Version-Release number of selected component:
abiword-2.8.6-22.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        abiword /home/x4s/SCALE_62_Manual/C09tsunami-3d.docx
crash_function: __gnu_cxx::__verbose_terminate_handler
executable:     /usr/bin/abiword
kernel:         3.11.3-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            14060
var_log_messages: Oct  8 15:34:12 xncse3 abrt[28004]: Saved core dump of pid 28001 (/usr/bin/abiword) to /var/tmp/abrt/ccpp-2013-10-08-15:34:11-28001 (30527488 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __gnu_cxx::__verbose_terminate_handler at ../../../../libstdc++-v3/libsupc++/vterminate.cc:95
 #3 __cxxabiv1::__terminate at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:38
 #4 std::terminate at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:48
 #5 __cxxabiv1::__cxa_throw at ../../../../libstdc++-v3/libsupc++/eh_throw.cc:84
 #6 std::__throw_logic_error at ../../../../../libstdc++-v3/src/c++11/functexcept.cc:64
 #7 std::string::_S_construct<char const*> at /usr/src/debug/gcc-4.8.1-20130603/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:133
 #8 _S_construct_aux<char const*> at /usr/src/debug/gcc-4.8.1-20130603/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.h:1725
 #9 _S_construct<char const*> at /usr/src/debug/gcc-4.8.1-20130603/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.h:1746
 #10 std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string at /usr/src/debug/gcc-4.8.1-20130603/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:215
 #11 OXML_Element_Field::OXML_Element_Field at OXML_Element_Field.cpp:32
Comment 1 Lester Petrie 2013-10-08 15:57:40 EDT
Created attachment 809508 [details]
File: backtrace
Comment 2 Lester Petrie 2013-10-08 15:57:42 EDT
Created attachment 809509 [details]
File: cgroup
Comment 3 Lester Petrie 2013-10-08 15:57:46 EDT
Created attachment 809510 [details]
File: core_backtrace
Comment 4 Lester Petrie 2013-10-08 15:57:48 EDT
Created attachment 809511 [details]
File: dso_list
Comment 5 Lester Petrie 2013-10-08 15:57:50 EDT
Created attachment 809512 [details]
File: environ
Comment 6 Lester Petrie 2013-10-08 15:57:53 EDT
Created attachment 809513 [details]
File: limits
Comment 7 Lester Petrie 2013-10-08 15:57:55 EDT
Created attachment 809514 [details]
File: maps
Comment 8 Lester Petrie 2013-10-08 15:57:58 EDT
Created attachment 809515 [details]
File: open_fds
Comment 9 Lester Petrie 2013-10-08 15:58:00 EDT
Created attachment 809516 [details]
File: proc_pid_status
Comment 10 Fedora Update System 2013-11-18 15:00:03 EST
libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19
Comment 11 Fedora Update System 2013-11-19 00:29:14 EST
Package libgsf-1.14.28-1.fc19, abiword-3.0.0-4.fc19, sugar-write-94-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libgsf-1.14.28-1.fc19 abiword-3.0.0-4.fc19 sugar-write-94-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21665/libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19
then log in and leave karma (feedback).
Comment 12 Lester Petrie 2013-11-21 16:17:51 EST
Packages for abiword and libgsf have been in updates-testing for a couple of days now, but the sugar-write package isn't there yet.  If it doesn't get there before noon tomorrow, it will be another week before I can test it.
Comment 13 Fedora Update System 2013-11-23 14:36:27 EST
libgsf-1.14.28-1.fc19, abiword-3.0.0-4.fc19, sugar-write-94-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Lester Petrie 2013-12-02 16:00:17 EST
I updated to libgsf-1.14.28-1.fc19, abiword-3.0.0-4.fc19, sugar-write-94-1.fc19 this morning, and the problem still occurs. Abiword is either writing a backup file, or has just finished writing the file when it crashes. The original file is in binary, but is ~7% larger than the backup file abiword writes.  The crash is apparently 100% reproducible.

Note You need to log in before you can comment on or make changes to this bug.